<?php
      
      
      $letters = 'ABCDEFGKIJKLMNPQRSTUVWXYZ'; // символы, которые будут участвовать в формировании капчи
      $caplen = 6; // длина капчи (6 символов)
      $width = 164; $height = 40; // ширина и высота генерируемого изображения
      $font = 'myriadpro-cond.ttf'; // указывается файл шрифта
      $fontsize = 28; // размер шрифта
     
      header('Content-type: image/png');
     
      $im = imagecreatetruecolor($width, $height);
      imagesavealpha($im, true);
      $bg = imagecolorallocatealpha($im, 0, 0, 0, 127); // Создаем цвет фона. Это будет полностью прозрачный цвет
      imagefill($im, 0, 0, $bg);
     
      putenv( 'GDFONTPATH=' . realpath('.') );
     
      $captcha = '';
      for ($i = 0; $i < $caplen; $i++)
      {
        $captcha .= $letters[ rand(0, strlen($letters)-1) ];
        $x = ($width - 20) / $caplen * $i + 10;
        $x = rand($x, $x+4);
        $y = $height - ( ($height - $fontsize) / 2 );
        $curcolor = imagecolorallocate( $im, rand(0, 100), rand(0, 100), rand(0, 100) );
        $angle = rand(-25, 25); // Для текущего символа случайным образом генерируем его угол наклона
        imagettftext($im, $fontsize, $angle, $x, $y, $curcolor, $font, $captcha[$i]);
      }
      
      session_start();
      $_SESSION['captcha'] = $captcha;
     
      imagepng($im);
      imagedestroy($im);
      ?>